package com.goafanti.common.dao;

import com.goafanti.ambSystem.bo.OutInvestList;
import com.goafanti.common.model.AmbInvest;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface AmbInvestMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AmbInvest record);

    int insertSelective(AmbInvest record);

    AmbInvest selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AmbInvest record);

    int updateByPrimaryKey(AmbInvest record);

    BigDecimal selectCountAmountById(@Param("initiateAmbId")Long initiateAmbId, @Param("acceptAmbId")Long acceptAmbId);

    List<OutInvestList> selectAmbInvestDtailsList(@Param("id") Long id, @Param("type")Integer type);




}
